# cross_encoder
For an introduction to Cross-Encoders, see [Cross-Encoders](../../examples/applications/cross-encoder/README.md).
```eval_rst
.. autoclass:: sentence_transformers.cross_encoder.CrossEncoder
   :members:
```


## Evaluation
CrossEncoder have their own evaluation classes, that are in `sentence_transformers.cross_encoder.evaluation`.

```eval_rst
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CEBinaryAccuracyEvaluator
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CEBinaryClassificationEvaluator
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CECorrelationEvaluator
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CEF1Evaluator
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CESoftmaxAccuracyEvaluator
.. autoclass:: sentence_transformers.cross_encoder.evaluation.CERerankingEvaluator
```